import { createRouter, createWebHashHistory } from 'vue-router'

import { authToken } from '@/utils/axios/auth'

import HomeRoutes from './home'
import LoginRoutes from './login'

const routes = [
  ...HomeRoutes,
  ...LoginRoutes,
  {
    path: '/',
    redirect: '/home/overView'
  },
  {
    path: '/:pathMach(.*)',
    redirect: '/'
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  if (from) {
  }
  if (to.name === 'Login') {
    next()
  } else {
    authToken()
      .then(() => {
        next()
      })
      .catch(() => {
        router.push('login')
      })
  }
})
export default router
